### Hierarchy

- unknown
  - GetXmrPrimaryAddressRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrPrimaryAddressRequest(): GetXmrPrimaryAddressRequest

- Inherited from jspb.Message.constructor

  #### Returns GetXmrPrimaryAddressRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2998

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetXmrPrimaryAddressRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2999

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrPrimaryAddressRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrPrimaryAddressRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3002

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrPrimaryAddressRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrPrimaryAddressRequest, reader: BinaryReader): GetXmrPrimaryAddressRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3003

  #### Parameters

  - ##### message: GetXmrPrimaryAddressRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrPrimaryAddressRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrPrimaryAddressRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3001

  #### Parameters

  - ##### message: GetXmrPrimaryAddressRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrPrimaryAddressRequest ): GetXmrPrimaryAddressRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3000

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrPrimaryAddressRequest

  #### Returns GetXmrPrimaryAddressRequest . AsObject

Generated using TypeDoc